body {
  overflow-x: hidden;
}

.menu-dropdown-content img{
  height: 35px;  
  width: auto;
}

/* search */
.search-field {width: 100%; max-width: 400px;}
.search-field-inside {position: relative; height: 35px;}
.search-field-inside img#search-go, #search-remove {position: relative; top: 50%; transform: translateY(-50%); left: 10px;}
.search-field-inside img {height: 18px !important; width: auto; z-index: 10;}
.search-field-inside #search-remove {position: absolute; right: 10px; left: auto; display: flex; align-items: center; padding: 3px; border-radius: 50%; display: none;}
.menu-container .search-field-inside input {position: absolute; top: 0; bottom: 0; left: 0; right: 0; padding-left: 34px !important; padding-right: 34px; text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden !important; border: 1px solid transparent;}

.menu-container {
  display: flex;
  justify-content: center;
  container-name: menu-container;
  container-type: inline-size;
  width: 100%;
  position: relative;
  z-index: 10;
}

.menu-container.menu-central {
  background: var(--blackHover);
}

/* mimo centrálu označím odkazy na centrálu */
.menu-container:not(.menu-central) .menu-dropdown-content a.to-central {
  padding-right: 48px;
  background-image: url("https://www.umimeto.org/asset/global/img/logos/umimeto_bulb_alone_arrow_gray.svg");
  background-repeat: no-repeat;
  background-position: calc(100% - 15px) center;
  background-size: auto 16px;
}

.menu-container a, .menu-container a:hover, .menu-container button {
  color: var(--black);
  display: flex;
  cursor: pointer;
}

.menu-container a:hover {
  text-decoration: none;
}

.menu-dropdown-parent {
  display: block;
  position: relative;
}

.menu-dropdown-content {
  z-index: 12;
}

.menu-container button {font-size: 100%; background: none; font-family: inherit; text-align: inherit; line-height: inherit;}

.menu-container .regular-sections>a,
.menu-container .user-items-account>a,
.menu-container .regular-sections>button,
.menu-container .user-items-account>button,
.menu-container .regular-sections>.menu-dropdown-parent>button,
.menu-container .user-items-account>.menu-dropdown-parent>button {
  position: relative;
  line-height: 1.6em;
  text-align: center;
  text-decoration: none;
  cursor: pointer;
  border-radius: 6px;
  padding: 8px 15px;
  display: flex;
  flex-wrap: nowrap;
  gap: 10px;
  align-items: center;
  white-space: nowrap;
}

/* dropdown šipky */
.menu-container .regular-sections>.menu-dropdown-parent>button:after,
.menu-container .menu-logo>.menu-dropdown-parent>button:after,
.menu-container .user-items-account>.menu-dropdown-parent>button:after, .menu-container .menu-toggler[type=mobile-subjects]:after {
  content: '';
  display: block;
  width: 12px;
  height: 12px;
  background-image: url("https://www.umimeto.org/asset/global/img/down-arrow.svg");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: contain;
}

/* v mobilním menu šipky úplně vpravo */
@media (max-width: 499px) {
  .menu-container .regular-sections>.menu-dropdown-parent>button:after,
  .menu-container .menu-logo>.menu-dropdown-parent>button:after,
  .menu-container .user-items-account>.menu-dropdown-parent>button:after {
    position: absolute;
    right: 15px;
  }
}

/* odkazy na centrále na tmavé části, na mobilu zůstává světlé */
.menu-container .user-items-account>a,
.menu-container .user-items-account>.menu-dropdown-parent>button,
.menu-container .regular-sections>.menu-dropdown-parent:hover>button
{
  background: var(--lightGray);
}

.menu-container .user-items-account>a:hover,
.menu-container .user-items-account>.menu-dropdown-parent:hover>button,
.menu-container .user-items-account>.menu-dropdown-parent>button:hover,
.menu-container .menu-subject-choice>button:hover,
.menu-container .menu-toggler[type=mobile-subjects]:hover,
#search-remove:hover {
  background: var(--lightGrayHover);
}

@media (min-width: 1024px) {
  .menu-grid .menu-logo>*:first-child {
      margin-left: 15px;
  } 
}

@media (min-width: 500px) {
  .menu-grid .menu-logo>*:first-child {
      margin-left: 6px;
      border-radius: var(--unit);
  } 

  .menu-container.menu-central .user-items-account>a,
  .menu-container.menu-central .user-items-account>.menu-dropdown-parent>button,
  .menu-container.menu-central .user-items-account>.menu-dropdown-parent>button:hover {
    color: white;
  }

  /* hover v tmavé části */
  .menu-container.menu-central .user-items-account>a,
  .menu-container.menu-central .user-items-account>.menu-dropdown-parent>button,
  .menu-container.menu-central .menu-subject-choice>button {
    background: #485b6e;
  }

  .menu-container.menu-central .user-items-account>a:hover,
  .menu-container.menu-central .user-items-account>.menu-dropdown-parent:hover > a,
  .menu-container.menu-central .user-items-account>.menu-dropdown-parent>button:hover,
  .menu-container.menu-central .menu-subject-choice>button:hover, .menu-container.menu-central .menu-toggler[type=mobile-subjects]:hover {
    background: #71808e;
  }

  .menu-container.menu-central .user-items-account>.menu-dropdown-parent>button:after,
  .menu-container.menu-central .menu-logo>.menu-dropdown-parent>button:after {
    background-image: url("https://www.umimeto.org/asset/global/img/down-arrow-white.svg");
  }
}

.menu-container.menu-central .menu-toggler[type=mobile-subjects], .menu-container.menu-central .mobile-icons-search-hamburger > *  {
    color: white;
    background: #485b6e;
  }

.menu-container .mobile-icons-search-hamburger > *  {
    background: var(--lightGray);
  }

.menu-container.menu-central .menu-toggler[type=mobile-subjects]:hover, .menu-container.menu-central .menu-toggler[type=mobile-subjects]:focus,
.menu-container.menu-central .mobile-icons-search-hamburger > *:hover
.menu-container.menu-central .mobile-icons-search-hamburger > *:focus {
    background: #71808e;
  }

.menu-container .mobile-icons-search-hamburger > *:hover
.menu-container .mobile-icons-search-hamburger > *:focus {
    background: var(--lightGrayHover);
  }


.menu-container.menu-central .menu-toggler[type=mobile-subjects]:after {
  background-image: url("https://www.umimeto.org/asset/global/img/down-arrow-white.svg");
}

.mobile-subjects a,
.menu-desktop-subjects-list a {
  font-size: 18px;
  font-weight: 300;
}

.mobile-subjects>div.two-columns,
.menu-desktop-subjects-list>div.two-columns {
  column-count: 2;
  column-gap: 0px;
}

.menu-container .menu-toggler[type=mobile-subjects] {align-items: center; gap: 10px; border-radius: 6px; padding: 4px;}
.menu-container.menu-central .menu-toggler[type=mobile-subjects] {padding: 10px 8px;}

.menu-container .menu-toggler[type=mobile-subjects]>button,
.menu-subject-choice>button {
  align-items: center;
  font-weight: 300;
  font-size: 22px;
  gap: 10px;
  border-radius: 6px;
}

.menu-subject-choice>button {display: flex; padding: 4px 6px;}
.menu-container .menu-toggler[type=mobile-subjects]>button {padding: 0;}

.menu-central .menu-subject-choice>button {padding: 10px;}
.menu-central .menu-subject-choice>button {color: white;}

.menu-grid {
  max-width: 1330px;
  width: 100%;
  display: grid;
  grid-template-areas:
    "logo search user-items-account"
    "regular-sections regular-sections regular-sections";
  grid-template-columns: auto minmax(120px, 1fr) auto;
  align-items: center;
}

.menu-grid>div {
  padding: 6px 10px;
  gap: 5px;
}

.menu-dropdown-parent .menu-dropdown-content {
  display: flex;
  width: 0px;
  position: absolute;
  background: white;
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s linear 0.2s, opacity 0.2s ease, width 0s;
  box-shadow: 0px 0px 16px 0px rgba(0, 0, 0, 0.15);
  border-radius: 10px;
  overflow: hidden;
  flex-direction: column;
  gap: 2px;
}

.menu-dropdown-parent.dropdown-content-open .menu-dropdown-content {
  display: flex;
  visibility: visible;
  opacity: 1;
  transition-delay: 0s;
  width: auto;
  min-width: 230px;
}

.menu-dropdown-content.right {
  right: 0;
}

.menu-dropdown-content>a,
.menu-dropdown-content>div>a,
.writeus>a,
.mobile-subjects>a,
.mobile-subjects>div>a {
  padding: 10px 15px;
  display: flex;
  justify-items: flex-start;
  align-items: center;
  gap: 8px;
  white-space: nowrap;
}

.menu-dropdown-content>a .svg-icon {
  width: 18px;
  height: 18px;
}

.menu-dropdown-parent:hover>a,
.regular-sections>a:hover,
.menu-dropdown-parent>button:hover,
.menu-dropdown-content>a:hover,
.menu-dropdown-content>a:focus,
.menu-dropdown-content>div>a:hover,
.menu-dropdown-content>div>a:focus {
  background-color: var(--lightGray);
}

#search-remove:focus-visible,
.menu-logo>a:focus-visible,
.regular-sections>a:focus-visible,
.user-items-account>a:focus-visible,
.menu-dropdown-parent>button:focus-visible,
.menu-dropdown-content>a:focus-visible,
.menu-dropdown-content>div>a:focus-visible,
.menu-container .menu-toggler[type=mobile-subjects]:focus-visible {
  outline: 2px solid var(--blue);
  /* border-radius: 3px; */
  }

.menu-dropdown-content>.divider {
  display: block;
  height: 0px;
  margin: 0px;
  border-bottom: 1px solid #ecedee;
}

.menu-dropdown-content span.description {
  font-size: 12px;
  padding: 0px 10px;
  padding-top: 10px;
  display: block;
  color: var(--grayHover);
}

.menu-grid .menu-logo {
  grid-area: logo;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  /* gap: 10px; */
}

.search {
  grid-area: search;
}

.registered-sections {
  grid-area: registered-sections;
}

.mobile-subjects {
  background: white;
  grid-area: mobile-subjects;
  display: none;
}

.menu-container .mobile-icons-search-hamburger {
  color: white;
  grid-area: mobile-icons-search-hamburger;
  display: none;
  justify-content: flex-end;
  gap: 15px;
}

.mobile-icons-search-hamburger img {
  height: 23px;
  width: auto;
}

.mobile-icons-search-hamburger > * {
  height: 38px; width: 38px; display: flex; align-items: center; justify-content: center; border-radius: 6px; padding: 4px;
}

.menu-grid .regular-sections {
  grid-area: regular-sections;
}

.account-sign-in-guest {position: relative; display: flex; align-items: center; justify-content: center;}
.account-sign-in-guest:after {content: ''; border-radius: 50%; background: var(--orange); width: 10px; height: 10px; position: absolute; bottom: 5px; right: 5px; display: block;}

.user-items-account {
  grid-area: user-items-account;
  flex-wrap: nowrap;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

@media (max-width: 800px) {
  .menu-grid {
    grid-template-areas:
      "logo search search"
      "user-items-account user-items-account user-items-account"
      "regular-sections regular-sections regular-sections";
  }

  .user-items-account {
    justify-content: flex-start;
  }
}

@media (min-width: 500px) {
  .regular-sections:before {
    /* bílý pruh za standardními položkami */
    content: '';
    display: block;
    background: white;
    width: 100vw;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 0;
  }

  .menu-container:not(.menu-central) .regular-sections:before {border-top: 1px solid var(--lightGray);}

  .menu-grid .regular-sections {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-wrap: wrap;
  }
}

.writeus {
  background: white;
  grid-area: writeus;
  display: none;
}

.sign-in-guest-inside {height:25px; width: 25px; display: block; background: var(--black); mask-image: "https://www.umimeto.org/asset/global/img/icons-umime/user.svg"; mask-size: contain; mask-position: center;}
.colored-icon {height:20px; width: 20px; display: block; background: var(--black); mask-size: contain; mask-position: center;}

.menu-container .user-items-account>.menu-dropdown-parent>button.login-button {padding-top: 5px; padding-bottom: 5px}
.login-button span {line-height: 1em;}
.login-button span.small {font-size: 80%;}

.login-button > span {display: flex; flex-direction: column; align-items: center; gap: 2px;}

.menu-central .sign-in-guest-inside, .menu-central .colored-icon {background: white;}

/* also available in general variant, but there is a special breakpoint for menu */
.display-only-wide {
  display: block;
}

.display-only-narrow {
  display: none;
}

@media (max-width: 499px) {
  .login-button > span {display: flex; flex-direction: row; justify-content: flex-start; gap: 5px;}

  .family-switching {column-count: 2; column-gap: 15px;}

  .menu-container .menu-toggler[type=mobile-subjects] {display: flex;}

  .menu-dropdown-parent .menu-dropdown-content {
    box-shadow: none;
    padding-left: 15px;
    /* background: none; */
  }

  .menu-dropdown-parent {
    position: initial;
  }

  .menu-grid {
    grid-template-areas:
      "logo mobile-icons-search-hamburger mobile-icons-search-hamburger"
      "registered-sections registered-sections registered-sections"
      "user-items-account user-items-account user-items-account"
      "mobile-subjects mobile-subjects mobile-subjects"
      "regular-sections regular-sections regular-sections"
      "writeus writeus writeus";
    grid-template-columns: auto 150px;
  }

  .menu-grid .mobile-icons-search-hamburger {
    display: flex;
  }

  .search {
    display: none;
  }

  .menu-grid .regular-sections {
    background: white;
  }

  .user-items-account {
    background: white;
    gap: 3px;
  }

  .user-items-account > .menu-dropdown-parent > button,
  .user-items-account > .menu-dropdown-parent > a,
  .user-items-account > a {
    background: var(--lightGray);
    width: 100%;
  }

  .user-items-account > .menu-dropdown-parent,
  .menu-container .menu-dropdown-parent > button,
  .user-items-account {
    width: 100%;
  }

  .registered-sections,
  .regular-sections,
  .writeus,
  .mobile-subjects,
  .user-items-account {
    display: none;
  }

  .menu-dropdown-parent .menu-dropdown-content {
    width: 100%;
    position: relative;
    display: none;
  }

  .menu-dropdown-parent.dropdown-content-open .menu-dropdown-content {
    display: block;
    margin-top: 3px;
  }

  .registered-sections.mobile-open,
  .regular-sections.mobile-open,
  .writeus.mobile-open,
  .mobile-subjects.mobile-open,
  .user-items-account.mobile-open {
    display: flex;
    flex-direction: column;
    width: 100%;
    position: relative;
  }

  .menu-central .sign-in-guest-inside, .menu-central .colored-icon {background: var(--black);}

  .display-only-wide {
    display: none;
  }

  .display-only-narrow {
    display: block;
  }
}

/********************************** SEARCH FIELD in header ***********************************/

header .search-field{
  display: inline-block;
  position: relative;     
}

header .search-field .search-input{  
  font-size: 16px;
  line-height: 2.2em;
  border-radius: 6px;
  color:var(--black);
  font-weight: 400;
  background-color: var(--lightGray);
}

header .search-field .search-input::placeholder { 
  /* Most modern browsers support this now. */
  color: #bdc3c7;
}

header .search-field .search-results{
  position: absolute;  
  z-index: 25;

  margin-left:0px;
  width: 600px;
  display: none;
  border-left:1px solid #dfdfe1;
  border-right:1px solid #dfdfe1;    
  border-left:1px solid var(--lightGrayHover);
  border-right:1px solid var(--lightGrayHover);
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.1);
}

header .search-field .search-results .search-item, #content .search-item, .overlayLayerSearch .search-item{  
  text-align: left;
  width: 100%;  
  padding: 10px 10px;
  border-bottom:1px solid #dfdfe1;
  border-bottom:1px solid var(--lightGrayHover);
  
  display: flex;  
  justify-content:flex-start;
  justify-content:space-between;
  align-items: flex-start;       
  flex-wrap: nowrap;
  align-content: flex-start;
  text-decoration: none;
  background-color: white;
}

header .search-field .search-results .search-item img, #content .search-item img, .overlayLayerSearch .search-item img{    
  height: 36px;  
  border-radius: 6px;  
}

header .search-field .search-results .search-item img.subjectLogo, #content .search-item img.subjectLogo, .overlayLayerSearch .search-item img.subjectLogo{    
  height: 30px;  
  margin-left:20px;
}

header .search-field .search-results .search-item .search-item-text, #content .search-item-text, .overlayLayerSearch .search-item-text{
  color: #2d3e4f;
  margin-left: 10px;
  font-size: 16px;
  color: var(--black);
}

header .search-field .search-results .search-item span, #content .search-item span, .overlayLayerSearch .search-item span{  
  font-size: 14px;
  color: #95a5a6;
  color: var(--grayHover);
}

header .search-field .search-results .search-item:hover, #content .search-item:hover, .overlayLayerSearch .search-item:hover{
  background-color: #eff0f2;  
  background-color: var(--lightGray);
}

header .search-field .search-results .search-item.selected, #content .search-item.selected, .overlayLayerSearch .search-item.selected{
  background-color: #eff0f2;
  background-color: var(--lightGray);
}

#content .search-input{
  font-size: 16px;  
  line-height: 2.6em;
  border-color: #00a5ff;  
  border-color: #92a6a7;
  border-color: var(--lightGray);
}
@media screen and (max-width: 1200px) {
  .search-field .search-input {min-width: auto;}

  /* mensi tlacitka v menu */
  header .dropbtn {    
    margin-right:6px;  
    border-radius: 6px;
    padding:6px 6px;  
    border:0px solid lightgray;
  }
}

header .menu-text.orange{ 
  color: var(--orange);
}

header .menu-text.red{ 
  color: var(--red);
}

/**** OVERLAY SEARCH ****/

.overlayLayerSearch{
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  display:none; 
  position:fixed;
  background-color: rgba(255, 255, 255, 0.9); /* 0.7 = 70% opacity */
  background-color: transparent;
  background-color: white;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  text-align: center;
  z-index: 30;    
  padding-top:7px;
}

.search-field {max-width: 100%;}
  
.overlayLayerSearch .search-input{    
  flex-shrink: 1;
  font-size: 16px;  
  line-height: 2.2em;
  padding-left:10px;    
  border-radius: 6px;
  border:0px;
  color:#2c3e50;  
  font-weight: 400;  
  background-color: #eff0f2;
  border:1px solid var(--yellow);
}

.overlayLayerSearch .search-input::placeholder {     
  color: #bdc3c7;
}

.overlayLayerSearch .search-results{      
  margin-top:0px;
  width: 100%;  
  max-height: calc(100vh - 60px);
  padding: 10px 10px;
  background-color: white;  
  border-radius: 6px;
  overflow-y: scroll;     
}